/* Importación de tipografías */
@import url('https://fonts.googleapis.com/css2?family=B612+Mono:wght@400;700&family=Inter:wght@300;400;500;600;700&display=swap');


/* ----- RESET ----- */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

a.boton-menu {
    background: rgba(0, 0, 0, 0.6);
    padding: 12px 18px;
    border-radius: 10px;
    align-items: center;
    display: flex;
    text-decoration: none;
    color: #fff;
    font-size: 14px;
    letter-spacing: 0.5px;
    text-transform: uppercase;
    font-weight: 300;
 transition: 
        color 0.3s ease,
        background 0.3s ease,
        transform 0.3s ease; 
    font-family: monospace;
}



a.boton-menu:hover {
    background: rgba(0, 0, 0, 0.85);
    transform: scale(1.05);

}

a.boton-menu2 {
    background: rgba(0, 0, 0, 0.6);
    padding: 12px 18px;
    border-radius: 10px;
    align-items: center;
    display: flex;
    text-decoration: none;
    color: #fff;
    font-size: 14px;
    letter-spacing: 0.5px;
    text-transform: uppercase;
    font-weight: 300;
 transition: 
        color 0.3s ease,
        background 0.3s ease,
        transform 0.3s ease; 
    font-family: monospace;
}



a.boton-menu2:hover {
    background: rgba(0, 0, 0, 0.85);
    transform: scale(1.05);

}




body {
  font-family: "Poppins", sans-serif;
  color: #fff;
}

/* ----- NAVBAR ----- */
.navbar {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  background: transparent;
  z-index: 1000;
  padding-top: 15px;
}





/* ----- MENÚ PRINCIPAL ----- */
.nav-menu ul {
  display: flex;
  list-style: none;
  gap: 9px;
}



.nav-menu ul li:hover {
  background: rgba(0, 0, 0, 0.85);
}

.nav-menu ul li a {
    text-decoration: none;
    color: #fff;
    font-size: 14px;
    letter-spacing: 0.5px;
    text-transform: uppercase;
    transition: color 0.3s ease;
    font-family: monospace;
}

/* Ícono lupa */
.nav-menu ul li a i {
  font-size: 14px;
}

/* ----- HAMBURGER ----- */
.hamburger {
  display: none;
  flex-direction: column;
  justify-content: center;
  gap: 5px;
  cursor: pointer;
}

.hamburger span {
  width: 25px;
  height: 2px;
  background: #fff;
  border-radius: 2px;
  transition: 0.3s;
}

.hamburger.active span:nth-child(1) {
  transform: rotate(45deg) translate(5px, 5px);
}
.hamburger.active span:nth-child(2) {
  opacity: 0;
}
.hamburger.active span:nth-child(3) {
  transform: rotate(-45deg) translate(5px, -5px);
}

/* ----- PORTADA ----- */
/*.portada {
  height: 100vh;
  background: url("img/portada11.png") center center/cover no-repeat;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
    border-radius: 0px 0px 50px 50px;
}*/
.portada {

    border-radius: 0px 0px 25px 25px;

}
.video-fondo {
    position: absolute;
    top: 50%;
    left: 50%;
    min-width: 100%;
    min-height: 120%;
    width: auto;
    height: auto;
    transform: translate(-50%, -50%);
}



/* Video de fondo 
.portada .video-fondo {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 120%;
    object-fit: cover; /* Cubre todo el espacio */
   /* z-index: 1;
}*/

/* Capa overlay (oscura) para mejor contraste */
.portada .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.4); /* Ajusta opacidad (0.4 = 40% oscuro) */
    z-index: 2;
}

/* Contenido sobre el video */
.portada .contenido-portada {
    position: relative;
    z-index: 3;
    color: white; /* Texto blanco para contraste */
    text-align: center;
    padding: 20px;
}

/*.portada-about {
  height: 100vh;
  /*background: url("img/portada-about11.png") center center/cover no-repeat;*/
 /*   background: linear-gradient(rgba(0,0,0,0.4), rgba(0,0,0,0.4)),
            url("img/VIVI-TU-JARDIN.jpg") center center/cover no-repeat;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 0px 0px 50px 50px;
}*/


.portada-about {
  height: 100vh;
  /*background: url("img/portada-about11.png") center center/cover no-repeat;*/
    background: linear-gradient(rgba(0,0,0,0.4), rgba(0,0,0,0.4)),
            url("img/about05-1.png") center top/cover no-repeat;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 0px 0px 50px 50px;
}

.portada-escuela {
  height: 100vh;
  /*background: url("img/fondo-escuela.png") center center/cover no-repeat;*/

background: linear-gradient(rgba(0,0,0,0.4), rgba(0,0,0,0.4)),
            url("img/ESCUELA2.jpg") center center/cover no-repeat;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 0px 0px 50px 50px;
}
.portada-viajes{
  height: 100vh;
  /*background: url("img/fondo-viajes.png") center center/cover no-repeat;*/
  background: linear-gradient(rgba(0,0,0,0.4), rgba(0,0,0,0.4)),
            url("img/VIAJES3.jpg") center center/cover no-repeat;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 0px 0px 50px 50px;
}
h2.titulo-port {
    font-family: 'Inter';
    font-weight: 400;
    font-size: 120px;
    letter-spacing: 0px;
    line-height: 1;
}




.overlay {
  position: absolute;
  top: 0; left: 0;
  width: 100%;
  height: 100%;
}

.contenido-portada {
  position: relative;
  text-align: center;
  color: #fff;
}

.contenido-portada h1 {
  font-size: 42px;
  letter-spacing: 5px;
  font-weight: 500;
}

.contenido-portada p {
  font-size: 14px;
  letter-spacing: 8px;
  margin-top: 8px;
  color: #ccc;
}

/* ----- RESPONSIVE ----- */
@media (max-width: 1025px) {
  .nav-menu {
position: fixed;
        top: 0px;
        right: -100%;
        width: 100%;
        height: calc(100vh - 0px);
backdrop-filter: blur(10px);
background: #000000c4;
        transition: right 0.3s ease;
        padding-top: 50px;
  }

  .nav-menu.active {
    right: 0;
  }

  .nav-menu ul {
flex-direction: column;
        align-items: start;
        gap: 5px;
        padding-top: 50px;
        padding-left: 25px;
        padding-right: 25px;
  }

  .nav-menu ul li {
    width: 80%;
    text-align: center;
  }

  .hamburger {
    display: flex;
  }
  a.boton-menu {
    background: none;
    padding: 4px 18px;
    border-radius: 10px;
    align-items: center;
    display: flex;
    text-decoration: none;
    color: #fff;
    font-size: 24px;
    letter-spacing: 0.5px;
    text-transform: inherit;
    font-weight: 300;
    transition: color 0.3s 
ease, background 0.3s 
ease, transform 0.3s 
ease;
    font-family: inter;
}
a.boton-menu:hover {
    background: none;
    transform: scale(1.05);
}
}






/* PC */
@media (max-width: 5000px) {
.logo img {
  height: 140px;
  display: block;
}
.nav-container {
 /* max-width: 1200px;*/
      max-width: 100%;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 70px;
  padding: 0 40px;
}
.portada {
    height: 100vh;
}
.mobile2 {
   display:none;
}
}


/* Tablet (768px - 1024px) */
@media (max-width: 1024px) {

}

/* Telefonos (768px - 1024px) */
@media (max-width: 767px) {
    .logo img {
  height: 100px;
  display: block;
}
.nav-container {
    /* max-width: 1200px; */
    max-width: 100%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 70px;
    padding: 0 20px;
}
.portada {
    height: 50vh;
      border-radius: 0px 0px 30px 30px;
}
a.boton-menu2 {
    display:none;
}
.mobile2 {
   display:flow;
}
.portada-about {
  height: 50vh;
        border-radius: 0px 0px 30px 30px;
}
.portada-escuela {
  border-radius: 0px 0px 30px 30px;
}
.portada-viajes{
  border-radius: 0px 0px 30px 30px;
}
h2.titulo-port {
    font-family: 'Inter';
    font-weight: 400;
    font-size: 50px;
    letter-spacing: 0px;
    line-height: 1;
}
    .video-fondo {
        width: 200%;
        height: 200%;
    }
}


.mobile2 {
    padding-left: 45px;
    padding-right: 45px;
    padding-top: 54px;
}
.cuadro {
    border-top: 1px solid #fff;
    border-bottom: 1px solid #fff;
    padding-top: 12px;
    padding-bottom: 12px;
}
a.enlace {
    font-family: monospace;
    color: #fff;
    text-decoration: none;
    font-size: 15px;
        text-transform: uppercase;
}